diff --git a/modules/NUCLEO-L476RG/aosconf.h b/modules/NUCLEO-L476RG/aosconf.h
index a905f8a..c463999 100644
--- a/modules/NUCLEO-L476RG/aosconf.h
+++ b/modules/NUCLEO-L476RG/aosconf.h
@@ -42,7 +42,7 @@ along with this program.  If not, see <http://www.gnu.org/licenses/>.
  */
 #if defined(AMIRO_APPS) && (AMIRO_APPS == true)
   #include <osconf.h>
-#endif
+#endif /* defined(AMIRO_APPS) && (AMIRO_APPS == true) */
 
 /*===========================================================================*/
 /**
@@ -56,9 +56,9 @@ along with this program.  If not, see <http://www.gnu.org/licenses/>.
  */
 #if !defined(OS_CFG_DBG)
   #define AMIROOS_CFG_DBG                       true
-#else
+#else /* !defined(OS_CFG_DBG) */
   #define AMIROOS_CFG_DBG                       OS_CFG_DBG
-#endif
+#endif /* !defined(OS_CFG_DBG) */
 
 /**
  * @brief   Flag to enable/disable unit tests.
@@ -66,18 +66,18 @@ along with this program.  If not, see <http://www.gnu.org/licenses/>.
  */
 #if !defined(OS_CFG_TESTS_ENABLE)
   #define AMIROOS_CFG_TESTS_ENABLE              true
-#else
+#else /* !defined(OS_CFG_TESTS_ENABLE) */
   #define AMIROOS_CFG_TESTS_ENABLE              OS_CFG_TESTS_ENABLE
-#endif
+#endif /* !defined(OS_CFG_TESTS_ENABLE) */
 
 /**
  * @brief   Flag to enable/disable profiling API and logic.
  */
 #if !defined(OS_CFG_PROFILE)
   #define AMIROOS_CFG_PROFILE                   true
-#else
+#else /* !defined(OS_CFG_PROFILE) */
   #define AMIROOS_CFG_PROFILE                   OS_CFG_PROFILE
-#endif
+#endif /* !defined(OS_CFG_PROFILE) */
 
 /**
  * @brief   Mask for the control thread to listen to certain IO events.
@@ -85,9 +85,9 @@ along with this program.  If not, see <http://www.gnu.org/licenses/>.
  */
 #if !defined(OS_CFG_MAIN_LOOP_IOEVENT_MASK)
   #define AMIROOS_CFG_MAIN_LOOP_IOEVENT_MASK    MODULE_OS_IOEVENTFLAGS_USERBUTTON
-#else
+#else /* !defined(OS_CFG_MAIN_LOOP_IOEVENT_MASK) */
   #define AMIROOS_CFG_MAIN_LOOP_IOEVENT_MASK    OS_CFG_MAIN_LOOP_IOEVENT_MASK
-#endif
+#endif /* !defined(OS_CFG_MAIN_LOOP_IOEVENT_MASK) */
 
 /**
  * @brief   Timeout value when waiting for events in the main loop in microseconds.
@@ -95,9 +95,9 @@ along with this program.  If not, see <http://www.gnu.org/licenses/>.
  */
 #if !defined(OS_CFG_MAIN_LOOP_TIMEOUT)
   #define AMIROOS_CFG_MAIN_LOOP_TIMEOUT         0
-#else
+#else /* !defined(OS_CFG_MAIN_LOOP_TIMEOUT) */
   #define AMIROOS_CFG_MAIN_LOOP_TIMEOUT         OS_CFG_MAIN_LOOP_TIMEOUT
-#endif
+#endif /* !defined(OS_CFG_MAIN_LOOP_TIMEOUT) */
 
 /** @} */
 
@@ -113,9 +113,9 @@ along with this program.  If not, see <http://www.gnu.org/licenses/>.
  */
 #if !defined(OS_CFG_SSSP_ENABLE)
   #define AMIROOS_CFG_SSSP_ENABLE               false
-#else
+#else /* !defined(OS_CFG_SSSP_ENABLE) */
   #define AMIROOS_CFG_SSSP_ENABLE               OS_CFG_SSSP_ENABLE
-#endif
+#endif /* !defined(OS_CFG_SSSP_ENABLE) */
 
 /**
  * @brief   Flag to set the module as SSSP master.
@@ -123,9 +123,9 @@ along with this program.  If not, see <http://www.gnu.org/licenses/>.
  */
 #if !defined(OS_CFG_SSSP_MASTER)
   #define AMIROOS_CFG_SSSP_MASTER               false
-#else
+#else /* !defined(OS_CFG_SSSP_MASTER) */
   #define AMIROOS_CFG_SSSP_MASTER               OS_CFG_SSSP_MASTER
-#endif
+#endif /* !defined(OS_CFG_SSSP_MASTER) */
 
 /**
  * @brief   Flag to set the module to be the first in the stack.
@@ -133,9 +133,9 @@ along with this program.  If not, see <http://www.gnu.org/licenses/>.
  */
 #if !defined(OS_CFG_SSSP_STACK_START)
   #define AMIROOS_CFG_SSSP_STACK_START          false
-#else
+#else /* !defined(OS_CFG_SSSP_STACK_START) */
   #define AMIROOS_CFG_SSSP_STACK_START          OS_CFG_SSSP_STACK_START
-#endif
+#endif /* !defined(OS_CFG_SSSP_STACK_START) */
 
 /**
  * @brief   Flag to set the module to be the last in the stack.
@@ -143,18 +143,18 @@ along with this program.  If not, see <http://www.gnu.org/licenses/>.
  */
 #if !defined(OS_CFG_SSSP_STACK_END)
   #define AMIROOS_CFG_SSSP_STACK_END            false
-#else
+#else /* !defined(OS_CFG_SSSP_STACK_END) */
   #define AMIROOS_CFG_SSSP_STACK_END            OS_CFG_SSSP_STACK_END
-#endif
+#endif /* !defined(OS_CFG_SSSP_STACK_END) */
 
 /**
  * @brief   Delay time (in microseconds) how long a SSSP signal must be active.
  */
 #if !defined(OS_CFG_SSSP_SIGNALDELAY)
   #define AMIROOS_CFG_SSSP_SIGNALDELAY          1000
-#else
+#else /* !defined(OS_CFG_SSSP_SIGNALDELAY) */
   #define AMIROOS_CFG_SSSP_SIGNALDELAY          OS_CFG_SSSP_SIGNALDELAY
-#endif
+#endif /* !defined(OS_CFG_SSSP_SIGNALDELAY) */
 
 /**
  * @brief   Time boundary for robot wide clock synchronization in microseconds.
@@ -163,9 +163,9 @@ along with this program.  If not, see <http://www.gnu.org/licenses/>.
  */
 #if !defined(OS_CFG_SSSP_SYSSYNCPERIOD)
   #define AMIROOS_CFG_SSSP_SYSSYNCPERIOD        1000000
-#else
+#else /* !defined(OS_CFG_SSSP_SYSSYNCPERIOD) */
   #define AMIROOS_CFG_SSSP_SYSSYNCPERIOD        OS_CFG_SSSP_SYSSYNCPERIOD
-#endif
+#endif /* !defined(OS_CFG_SSSP_SYSSYNCPERIOD) */
 
 /** @} */
 
@@ -181,18 +181,18 @@ along with this program.  If not, see <http://www.gnu.org/licenses/>.
  */
 #if !defined(OS_CFG_SHELL_ENABLE)
   #define AMIROOS_CFG_SHELL_ENABLE              true
-#else
+#else /* !defined(OS_CFG_SHELL_ENABLE) */
   #define AMIROOS_CFG_SHELL_ENABLE              OS_CFG_SHELL_ENABLE
-#endif
+#endif /* !defined(OS_CFG_SHELL_ENABLE) */
 
 /**
  * @brief   Shell thread stack size.
  */
 #if !defined(OS_CFG_SHELL_STACKSIZE)
   #define AMIROOS_CFG_SHELL_STACKSIZE           1024
-#else
+#else /* !defined(OS_CFG_SHELL_STACKSIZE) */
   #define AMIROOS_CFG_SHELL_STACKSIZE           OS_CFG_SHELL_STACKSIZE
-#endif
+#endif /* !defined(OS_CFG_SHELL_STACKSIZE) */
 
 /**
  * @brief   Shell thread priority.
@@ -213,27 +213,27 @@ along with this program.  If not, see <http://www.gnu.org/licenses/>.
  */
 #if !defined(OS_CFG_SHELL_THREADPRIO)
   #define AMIROOS_CFG_SHELL_THREADPRIO          AOS_THD_NORMALPRIO_MIN
-#else
+#else /* !defined(OS_CFG_SHELL_THREADPRIO) */
   #define AMIROOS_CFG_SHELL_THREADPRIO          OS_CFG_SHELL_THREADPRIO
-#endif
+#endif /* !defined(OS_CFG_SHELL_THREADPRIO) */
 
 /**
  * @brief   Shell maximum input line length.
  */
 #if !defined(OS_CFG_SHELL_LINEWIDTH)
   #define AMIROOS_CFG_SHELL_LINEWIDTH           64
-#else
+#else /* !defined(OS_CFG_SHELL_LINEWIDTH) */
   #define AMIROOS_CFG_SHELL_LINEWIDTH           OS_CFG_SHELL_LINEWIDTH
-#endif
+#endif /* !defined(OS_CFG_SHELL_LINEWIDTH) */
 
 /**
  * @brief   Shell maximum number of arguments.
  */
 #if !defined(OS_CFG_SHELL_MAXARGS)
   #define AMIROOS_CFG_SHELL_MAXARGS             4
-#else
+#else /* !defined(OS_CFG_SHELL_MAXARGS) */
   #define AMIROOS_CFG_SHELL_MAXARGS             OS_CFG_SHELL_MAXARGS
-#endif
+#endif /* !defined(OS_CFG_SHELL_MAXARGS) */
 
 /** @} */
 
diff --git a/modules/NUCLEO-L476RG/module.c b/modules/NUCLEO-L476RG/module.c
index 307162b..611a0e7 100644
--- a/modules/NUCLEO-L476RG/module.c
+++ b/modules/NUCLEO-L476RG/module.c
@@ -111,7 +111,7 @@ ROMCONST apalControlGpio_t moduleGpioUserButton = {
 
 #if (AMIROOS_CFG_SHELL_ENABLE == true) || (AMIROOS_CFG_TESTS_ENABLE == true) || defined(__DOXYGEN__)
 ROMCONST char* moduleShellPrompt = "NUCLEO-L476RG";
-#endif
+#endif /* (AMIROOS_CFG_SHELL_ENABLE == true) || (AMIROOS_CFG_TESTS_ENABLE == true) */
 
 /** @} */
 
@@ -178,7 +178,7 @@ aos_unittest_t moduleUtAlldMpu6050 = {
 
 #endif /* defined(AMIROLLD_CFG_MPU6050) */
 
-#endif /* AMIROOS_CFG_TESTS_ENABLE == true */
+#endif /* (AMIROOS_CFG_TESTS_ENABLE == true) */
 
 /** @} */
 /** @} */
diff --git a/modules/NUCLEO-L476RG/module.h b/modules/NUCLEO-L476RG/module.h
index c41aea4..3591958 100644
--- a/modules/NUCLEO-L476RG/module.h
+++ b/modules/NUCLEO-L476RG/module.h
@@ -113,7 +113,7 @@ extern ROMCONST apalControlGpio_t moduleGpioUserButton;
  * @brief   Shell prompt text.
  */
 extern ROMCONST char* moduleShellPrompt;
-#endif
+#endif /* (AMIROOS_CFG_SHELL_ENABLE == true) || (AMIROOS_CFG_TESTS_ENABLE == true) */
 
 /**
  * @brief   Interrupt initialization macro.
@@ -137,9 +137,9 @@ extern ROMCONST char* moduleShellPrompt;
     /* add unit-test shell commands */                                        \
     aosShellAddCommand(&aos.shell, &moduleUtAlldMpu6050.shellcmd);            \
   }
-#else
+#else /* defined(AMIROLLD_CFG_MPU6050) */
   #define MODULE_INIT_TEST_MPU6050() {}
-#endif
+#endif /* defined(AMIROLLD_CFG_MPU6050) */
 
 /**
  * @brief   Periphery communication interfaces initialization hook.
@@ -175,9 +175,9 @@ extern ROMCONST char* moduleShellPrompt;
     chSysUnlock();                                                            \
     i2cStart(&MODULE_HAL_I2C3, &moduleHalI2c3Config);                         \
   }
-#else
+#else /* defined(AMIROLLD_CFG_MPU6050) */
   #define MODULE_INIT_PERIPHERY_COMM_MPU6050() {}
-#endif
+#endif /* defined(AMIROLLD_CFG_MPU6050) */
 
 /**
  * @brief   Periphery communication interface deinitialization hook.
@@ -246,7 +246,7 @@ extern aos_unittest_t moduleUtAlldMpu6050;
 
 #endif /* defined(AMIROLLD_CFG_MPU6050) */
 
-#endif /* AMIROOS_CFG_TESTS_ENABLE == true */
+#endif /* (AMIROOS_CFG_TESTS_ENABLE == true) */
 
 /** @} */
 
diff --git a/modules/PowerManagement_1-1/alldconf.h b/modules/PowerManagement_1-1/alldconf.h
index 7f4dbb3..832924f 100644
--- a/modules/PowerManagement_1-1/alldconf.h
+++ b/modules/PowerManagement_1-1/alldconf.h
@@ -106,7 +106,7 @@ along with this program.  If not, see <http://www.gnu.org/licenses/>.
  */
 #define AMIROLLD_CFG_VCNL4020                   1
 
-#endif /* BOARD_SENSORRING == BOARD_PROXIMITYSENSOR */
+#endif /* (BOARD_SENSORRING == BOARD_PROXIMITYSENSOR) */
 
 #if (BOARD_SENSORRING == BOARD_DISTANCESENSOR_VL53L0X) || defined(__DOXYGEN__)
 
@@ -120,7 +120,7 @@ along with this program.  If not, see <http://www.gnu.org/licenses/>.
  */
 #define AMIROLLD_CFG_AT42QT1050                 1
 
-#endif /* BOARD_SENSORRING == BOARD_DISTANCESENSOR_VL53L0X */
+#endif /* (BOARD_SENSORRING == BOARD_DISTANCESENSOR_VL53L0X) */
 
 #if (BOARD_SENSORRING == BOARD_DISTANCESENSOR_VL53L1X) || defined(__DOXYGEN__)
 
@@ -134,7 +134,7 @@ along with this program.  If not, see <http://www.gnu.org/licenses/>.
  */
 #define AMIROLLD_CFG_AT42QT1050                 1
 
-#endif /* BOARD_SENSORRING == BOARD_DISTANCESENSOR_VL53L1X */
+#endif /* (BOARD_SENSORRING == BOARD_DISTANCESENSOR_VL53L1X) */
 
 #endif /* ALLDCONF_H */
 
diff --git a/modules/PowerManagement_1-1/aosconf.h b/modules/PowerManagement_1-1/aosconf.h
index 5a529db..3ab5742 100644
--- a/modules/PowerManagement_1-1/aosconf.h
+++ b/modules/PowerManagement_1-1/aosconf.h
@@ -42,7 +42,7 @@ along with this program.  If not, see <http://www.gnu.org/licenses/>.
  */
 #if defined(AMIRO_APPS) && (AMIRO_APPS == true)
   #include <osconf.h>
-#endif
+#endif /* defined(AMIRO_APPS) && (AMIRO_APPS == true) */
 
 /*===========================================================================*/
 /**
@@ -56,9 +56,9 @@ along with this program.  If not, see <http://www.gnu.org/licenses/>.
  */
 #if !defined(OS_CFG_DBG)
   #define AMIROOS_CFG_DBG                       true
-#else
+#else /* !defined(OS_CFG_DBG) */
   #define AMIROOS_CFG_DBG                       OS_CFG_DBG
-#endif
+#endif /* !defined(OS_CFG_DBG) */
 
 /**
  * @brief   Flag to enable/disable unit tests.
@@ -66,18 +66,18 @@ along with this program.  If not, see <http://www.gnu.org/licenses/>.
  */
 #if !defined(OS_CFG_TESTS_ENABLE)
   #define AMIROOS_CFG_TESTS_ENABLE              true
-#else
+#else /* !defined(OS_CFG_TESTS_ENABLE) */
   #define AMIROOS_CFG_TESTS_ENABLE              OS_CFG_TESTS_ENABLE
-#endif
+#endif /* !defined(OS_CFG_TESTS_ENABLE) */
 
 /**
  * @brief   Flag to enable/disable profiling API and logic.
  */
 #if !defined(OS_CFG_PROFILE)
   #define AMIROOS_CFG_PROFILE                   true
-#else
+#else /* !defined(OS_CFG_PROFILE) */
   #define AMIROOS_CFG_PROFILE                   OS_CFG_PROFILE
-#endif
+#endif /* !defined(OS_CFG_PROFILE) */
 
 /**
  * @brief   Mask for the control thread to listen to certain IO events.
@@ -85,9 +85,9 @@ along with this program.  If not, see <http://www.gnu.org/licenses/>.
  */
 #if !defined(OS_CFG_MAIN_LOOP_IOEVENT_MASK)
   #define AMIROOS_CFG_MAIN_LOOP_IOEVENT_MASK    0
-#else
+#else /* !defined(OS_CFG_MAIN_LOOP_IOEVENT_MASK) */
   #define AMIROOS_CFG_MAIN_LOOP_IOEVENT_MASK    OS_CFG_MAIN_LOOP_IOEVENT_MASK
-#endif
+#endif /* !defined(OS_CFG_MAIN_LOOP_IOEVENT_MASK) */
 
 /**
  * @brief   Timeout value when waiting for events in the main loop in microseconds.
@@ -95,9 +95,9 @@ along with this program.  If not, see <http://www.gnu.org/licenses/>.
  */
 #if !defined(OS_CFG_MAIN_LOOP_TIMEOUT)
   #define AMIROOS_CFG_MAIN_LOOP_TIMEOUT         0
-#else
+#else /* !defined(OS_CFG_MAIN_LOOP_TIMEOUT) */
   #define AMIROOS_CFG_MAIN_LOOP_TIMEOUT         OS_CFG_MAIN_LOOP_TIMEOUT
-#endif
+#endif /* !defined(OS_CFG_MAIN_LOOP_TIMEOUT) */
 
 /** @} */
 
@@ -113,9 +113,9 @@ along with this program.  If not, see <http://www.gnu.org/licenses/>.
  */
 #if !defined(OS_CFG_SSSP_ENABLE)
   #define AMIROOS_CFG_SSSP_ENABLE               true
-#else
+#else /* !defined(OS_CFG_SSSP_ENABLE) */
   #define AMIROOS_CFG_SSSP_ENABLE               OS_CFG_SSSP_ENABLE
-#endif
+#endif /* !defined(OS_CFG_SSSP_ENABLE) */
 
 /**
  * @brief   Flag to set the module as SSSP master.
@@ -123,9 +123,9 @@ along with this program.  If not, see <http://www.gnu.org/licenses/>.
  */
 #if !defined(OS_CFG_SSSP_MASTER)
   #define AMIROOS_CFG_SSSP_MASTER               true
-#else
+#else /* !defined(OS_CFG_SSSP_MASTER) */
   #define AMIROOS_CFG_SSSP_MASTER               OS_CFG_SSSP_MASTER
-#endif
+#endif /* !defined(OS_CFG_SSSP_MASTER) */
 
 /**
  * @brief   Flag to set the module to be the first in the stack.
@@ -133,9 +133,9 @@ along with this program.  If not, see <http://www.gnu.org/licenses/>.
  */
 #if !defined(OS_CFG_SSSP_STACK_START)
   #define AMIROOS_CFG_SSSP_STACK_START          false
-#else
+#else /* !defined(OS_CFG_SSSP_STACK_START) */
   #define AMIROOS_CFG_SSSP_STACK_START          OS_CFG_SSSP_STACK_START
-#endif
+#endif /* !defined(OS_CFG_SSSP_STACK_START) */
 
 /**
  * @brief   Flag to set the module to be the last in the stack.
@@ -143,18 +143,18 @@ along with this program.  If not, see <http://www.gnu.org/licenses/>.
  */
 #if !defined(OS_CFG_SSSP_STACK_END)
   #define AMIROOS_CFG_SSSP_STACK_END            false
-#else
+#else /* !defined(OS_CFG_SSSP_STACK_END) */
   #define AMIROOS_CFG_SSSP_STACK_END            OS_CFG_SSSP_STACK_END
-#endif
+#endif /* !defined(OS_CFG_SSSP_STACK_END) */
 
 /**
  * @brief   Delay time (in microseconds) how long a SSSP signal must be active.
  */
 #if !defined(OS_CFG_SSSP_SIGNALDELAY)
   #define AMIROOS_CFG_SSSP_SIGNALDELAY          1000
-#else
+#else /* !defined(OS_CFG_SSSP_SIGNALDELAY) */
   #define AMIROOS_CFG_SSSP_SIGNALDELAY          OS_CFG_SSSP_SIGNALDELAY
-#endif
+#endif /* !defined(OS_CFG_SSSP_SIGNALDELAY) */
 
 /**
  * @brief   Time boundary for robot wide clock synchronization in microseconds.
@@ -163,9 +163,9 @@ along with this program.  If not, see <http://www.gnu.org/licenses/>.
  */
 #if !defined(OS_CFG_SSSP_SYSSYNCPERIOD)
   #define AMIROOS_CFG_SSSP_SYSSYNCPERIOD        1000000
-#else
+#else /* !defined(OS_CFG_SSSP_SYSSYNCPERIOD) */
   #define AMIROOS_CFG_SSSP_SYSSYNCPERIOD        OS_CFG_SSSP_SYSSYNCPERIOD
-#endif
+#endif /* !defined(OS_CFG_SSSP_SYSSYNCPERIOD) */
 
 /** @} */
 
@@ -181,18 +181,18 @@ along with this program.  If not, see <http://www.gnu.org/licenses/>.
  */
 #if !defined(OS_CFG_SHELL_ENABLE)
   #define AMIROOS_CFG_SHELL_ENABLE              true
-#else
+#else /* !defined(OS_CFG_SHELL_ENABLE) */
   #define AMIROOS_CFG_SHELL_ENABLE              OS_CFG_SHELL_ENABLE
-#endif
+#endif /* !defined(OS_CFG_SHELL_ENABLE) */
 
 /**
  * @brief   Shell thread stack size.
  */
 #if !defined(OS_CFG_SHELL_STACKSIZE)
   #define AMIROOS_CFG_SHELL_STACKSIZE           1024
-#else
+#else /* !defined(OS_CFG_SHELL_STACKSIZE) */
   #define AMIROOS_CFG_SHELL_STACKSIZE           OS_CFG_SHELL_STACKSIZE
-#endif
+#endif /* !defined(OS_CFG_SHELL_STACKSIZE) */
 
 /**
  * @brief   Shell thread priority.
@@ -213,27 +213,27 @@ along with this program.  If not, see <http://www.gnu.org/licenses/>.
  */
 #if !defined(OS_CFG_SHELL_THREADPRIO)
   #define AMIROOS_CFG_SHELL_THREADPRIO          AOS_THD_NORMALPRIO_MIN
-#else
+#else /* !defined(OS_CFG_SHELL_THREADPRIO) */
   #define AMIROOS_CFG_SHELL_THREADPRIO          OS_CFG_SHELL_THREADPRIO
-#endif
+#endif /* !defined(OS_CFG_SHELL_THREADPRIO) */
 
 /**
  * @brief   Shell maximum input line length.
  */
 #if !defined(OS_CFG_SHELL_LINEWIDTH)
   #define AMIROOS_CFG_SHELL_LINEWIDTH           64
-#else
+#else /* !defined(OS_CFG_SHELL_LINEWIDTH) */
   #define AMIROOS_CFG_SHELL_LINEWIDTH           OS_CFG_SHELL_LINEWIDTH
-#endif
+#endif /* !defined(OS_CFG_SHELL_LINEWIDTH) */
 
 /**
  * @brief   Shell maximum number of arguments.
  */
 #if !defined(OS_CFG_SHELL_MAXARGS)
   #define AMIROOS_CFG_SHELL_MAXARGS             4
-#else
+#else /* !defined(OS_CFG_SHELL_MAXARGS) */
   #define AMIROOS_CFG_SHELL_MAXARGS             OS_CFG_SHELL_MAXARGS
-#endif
+#endif /* !defined(OS_CFG_SHELL_MAXARGS) */
 
 /** @} */
 
diff --git a/modules/PowerManagement_1-1/module.c b/modules/PowerManagement_1-1/module.c
index 1fea575..ee319ff 100644
--- a/modules/PowerManagement_1-1/module.c
+++ b/modules/PowerManagement_1-1/module.c
@@ -98,9 +98,9 @@ PWMConfig moduleHalPwmBuzzerConfig = {
     },
   },
   /* TIM CR2 register       */ 0,
-#if STM32_PWM_USE_ADVANCED
+#if (STM32_PWM_USE_ADVANCED == TRUE)
   /* TIM BDTR register      */ 0,
-#endif
+#endif /* (STM32_PWM_USE_ADVANCED == TRUE) */
   /* TIM DIER register      */ 0,
 };
 
@@ -156,10 +156,10 @@ ROMCONST apalControlGpio_t moduleGpioIrInt1 = {
 #elif (BOARD_SENSORRING == BOARD_DISTANCESENSOR_VL53L1X)
     /* active state   */ (PCAL6524_LLD_INT_EDGE == APAL_GPIO_EDGE_RISING) ? APAL_GPIO_ACTIVE_HIGH : APAL_GPIO_ACTIVE_LOW,
     /* interrupt edge */ PCAL6524_LLD_INT_EDGE,
-#else
+#else /* (BOARD_SENSORRING == ?) */
     /* active state   */ APAL_GPIO_ACTIVE_LOW,
     /* interrupt edge */ APAL_GPIO_EDGE_NONE,
-#endif
+#endif /* (BOARD_SENSORRING == ?) */
   },
 };
 
@@ -359,10 +359,10 @@ ROMCONST apalControlGpio_t moduleGpioIrInt2 = {
 #elif (BOARD_SENSORRING == BOARD_DISTANCESENSOR_VL53L1X)
     /* active state   */ (PCAL6524_LLD_INT_EDGE == APAL_GPIO_EDGE_RISING) ? APAL_GPIO_ACTIVE_HIGH : APAL_GPIO_ACTIVE_LOW,
     /* interrupt edge */ PCAL6524_LLD_INT_EDGE,
-#else
+#else /* (BOARD_SENSORRING == ?) */
     /* active state   */ APAL_GPIO_ACTIVE_LOW,
     /* interrupt edge */ APAL_GPIO_EDGE_NONE,
-#endif
+#endif /* (BOARD_SENSORRING == ?) */
   },
 };
 
@@ -386,10 +386,10 @@ ROMCONST apalControlGpio_t moduleGpioTouchInt = {
 #elif (BOARD_SENSORRING == BOARD_DISTANCESENSOR_VL53L1X)
     /* active state   */ (AT42QT1050_LLD_INT_EDGE == APAL_GPIO_EDGE_RISING) ? APAL_GPIO_ACTIVE_HIGH : APAL_GPIO_ACTIVE_LOW,
     /* interrupt edge */ AT42QT1050_LLD_INT_EDGE,
-#else
+#else /* (BOARD_SENSORRING == ?) */
     /* active state   */ APAL_GPIO_ACTIVE_LOW,
     /* interrupt edge */ APAL_GPIO_EDGE_NONE,
-#endif
+#endif /* (BOARD_SENSORRING == ?) */
   },
 };
 
@@ -548,7 +548,7 @@ ROMCONST apalControlGpio_t moduleGpioChargeEn2 = {
 
 #if (AMIROOS_CFG_SHELL_ENABLE == true) || (AMIROOS_CFG_TESTS_ENABLE == true) || defined(__DOXYGEN__)
 ROMCONST char* moduleShellPrompt = "PowerManagement";
-#endif
+#endif /* (AMIROOS_CFG_SHELL_ENABLE == true) || (AMIROOS_CFG_TESTS_ENABLE == true) */
 
 /** @} */
 
@@ -662,7 +662,7 @@ VCNL4020Driver moduleLldProximity2 = {
   /* I²C Driver */ &MODULE_HAL_I2C_SR_PM42_PM50_PMVDD_EEPROM_GAUGEFRONT,
 };
 
-#endif /* BOARD_SENSORRING == BOARD_PROXIMITYSENSOR */
+#endif /* (BOARD_SENSORRING == BOARD_PROXIMITYSENSOR) */
 
 #if (BOARD_SENSORRING == BOARD_DISTANCESENSOR_VL53L0X) || defined(__DOXYGEN__)
 
@@ -681,7 +681,7 @@ AT42QT1050Driver moduleLldTouch = {
   /* I²C address  */ AT42QT1050_LLD_I2C_ADDRSEL_LOW,
 };
 
-#endif /* BOARD_SENSORRING == BOARD_DISTANCESENSOR_VL53L0X */
+#endif /* (BOARD_SENSORRING == BOARD_DISTANCESENSOR_VL53L0X) */
 
 #if (BOARD_SENSORRING == BOARD_DISTANCESENSOR_VL53L1X) || defined(__DOXYGEN__)
 
@@ -700,7 +700,7 @@ AT42QT1050Driver moduleLldTouch = {
   /* I²C address  */ AT42QT1050_LLD_I2C_ADDRSEL_LOW,
 };
 
-#endif /* BOARD_SENSORRING == BOARD_DISTANCESENSOR_VL53L1X */
+#endif /* (BOARD_SENSORRING == BOARD_DISTANCESENSOR_VL53L1X) */
 
 /** @} */
 
@@ -1315,7 +1315,7 @@ aos_unittest_t moduleUtAlldVcnl4020 = {
   /* data           */ &_utAlldVcnl4020Data,
 };
 
-#endif /* BOARD_SENSORRING == BOARD_PROXIMITYSENSOR */
+#endif /* (BOARD_SENSORRING == BOARD_PROXIMITYSENSOR) */
 
 #if (BOARD_SENSORRING == BOARD_DISTANCESENSOR_VL53L0X) || defined(__DOXYGEN__)
 
@@ -1392,7 +1392,7 @@ aos_unittest_t moduleUtAlldAt42qt1050 = {
   /* data           */ &_utAlldAt42qt1050Data,
 };
 
-#endif /* BOARD_SENSORRING == BOARD_DISTANCESENSOR_VL53L0X */
+#endif /* (BOARD_SENSORRING == BOARD_DISTANCESENSOR_VL53L0X) */
 
 #if (BOARD_SENSORRING == BOARD_DISTANCESENSOR_VL53L1X) || defined(__DOXYGEN__)
 
@@ -1469,9 +1469,9 @@ aos_unittest_t moduleUtAlldAt42qt1050 = {
   /* data           */ &_utAlldAt42qt1050Data,
 };
 
-#endif /* BOARD_SENSORRING == BOARD_DISTANCESENSOR_VL53L1X */
+#endif /* (BOARD_SENSORRING == BOARD_DISTANCESENSOR_VL53L1X) */
 
-#endif /* AMIROOS_CFG_TESTS_ENABLE == true */
+#endif /* (AMIROOS_CFG_TESTS_ENABLE == true) */
 
 /** @} */
 /** @} */
diff --git a/modules/PowerManagement_1-1/module.h b/modules/PowerManagement_1-1/module.h
index dc36183..5474fdc 100644
--- a/modules/PowerManagement_1-1/module.h
+++ b/modules/PowerManagement_1-1/module.h
@@ -389,7 +389,7 @@ extern ROMCONST apalControlGpio_t moduleGpioChargeEn2;
  * @brief   Shell prompt text.
  */
 extern ROMCONST char* moduleShellPrompt;
-#endif
+#endif /* (AMIROOS_CFG_SHELL_ENABLE == true) || (AMIROOS_CFG_TESTS_ENABLE == true) */
 
 /**
  * @brief   Interrupt initialization macro.
@@ -461,9 +461,9 @@ extern ROMCONST char* moduleShellPrompt;
     aosShellAddCommand(&aos.shell, &moduleUtAlldPcal6524.shellcmd);           \
     aosShellAddCommand(&aos.shell, &moduleUtAlldAt42qt1050.shellcmd);         \
   }
-#else
+#else /* (BOARD_SENSORRING == ?) */
   #define MODULE_INIT_TEST_SENSORRING()         {}
-#endif
+#endif /* (BOARD_SENSORRING == ?) */
 
 /**
  * @brief   Periphery communication interfaces initialization hook.
@@ -511,9 +511,9 @@ extern ROMCONST char* moduleShellPrompt;
     moduleHalI2cSrPm42Pm50PmVddEepromGaugeFrontConfig.clock_speed = (PCAL6524_LLD_I2C_MAXFREQUENCY < moduleHalI2cSrPm42Pm50PmVddEepromGaugeFrontConfig.clock_speed) ? PCAL6524_LLD_I2C_MAXFREQUENCY : moduleHalI2cSrPm42Pm50PmVddEepromGaugeFrontConfig.clock_speed;  \
     moduleHalI2cSrPm42Pm50PmVddEepromGaugeFrontConfig.clock_speed = (AT42QT1050_LLD_I2C_MAXFREQUENCY < moduleHalI2cSrPm42Pm50PmVddEepromGaugeFrontConfig.clock_speed) ? AT42QT1050_LLD_I2C_MAXFREQUENCY : moduleHalI2cSrPm42Pm50PmVddEepromGaugeFrontConfig.clock_speed;  \
   }
-#else
+#else /* (BOARD_SENSORRING == ?) */
   #define MODULE_INIT_PERIPHERY_COMM_SENSORRING() {}
-#endif
+#endif /* (BOARD_SENSORRING == ?) */
 
 /**
  * @brief   Periphery communication interface deinitialization hook.
@@ -686,7 +686,7 @@ extern VCNL4020Driver moduleLldProximity1;
  */
 extern VCNL4020Driver moduleLldProximity2;
 
-#endif /* BOARD_SENSORRING == BOARD_PROXIMITYSENSOR */
+#endif /* (BOARD_SENSORRING == BOARD_PROXIMITYSENSOR) */
 
 #if (BOARD_SENSORRING == BOARD_DISTANCESENSOR_VL53L0X) || defined(__DOXYGEN__)
 
@@ -708,7 +708,7 @@ extern PCAL6524Driver moduleLldGpioExtender2;
  */
 extern AT42QT1050Driver moduleLldTouch;
 
-#endif /* BOARD_SENSORRING == BOARD_DISTANCESENSOR_VL53L0X */
+#endif /* (BOARD_SENSORRING == BOARD_DISTANCESENSOR_VL53L0X) */
 
 #if (BOARD_SENSORRING == BOARD_DISTANCESENSOR_VL53L1X) || defined(__DOXYGEN__)
 
@@ -730,7 +730,7 @@ extern PCAL6524Driver moduleLldGpioExtender2;
  */
 extern AT42QT1050Driver moduleLldTouch;
 
-#endif /* BOARD_SENSORRING == BOARD_DISTANCESENSOR_VL53L1X */
+#endif /* (BOARD_SENSORRING == BOARD_DISTANCESENSOR_VL53L1X) */
 
 /** @} */
 
@@ -823,7 +823,7 @@ extern aos_unittest_t moduleUtAlldPca9544a;
  */
 extern aos_unittest_t moduleUtAlldVcnl4020;
 
-#endif /* BOARD_SENSORRING == BOARD_PROXIMITYSENSOR */
+#endif /* (BOARD_SENSORRING == BOARD_PROXIMITYSENSOR) */
 
 #if (BOARD_SENSORRING == BOARD_DISTANCESENSOR_VL53L0X) || defined(__DOXYGEN__)
 
@@ -840,7 +840,7 @@ extern aos_unittest_t moduleUtAlldPcal6524;
  */
 extern aos_unittest_t moduleUtAlldAt42qt1050;
 
-#endif /* BOARD_SENSORRING == BOARD_DISTANCESENSOR_VL53L0X */
+#endif /* (BOARD_SENSORRING == BOARD_DISTANCESENSOR_VL53L0X) */
 
 #if (BOARD_SENSORRING == BOARD_DISTANCESENSOR_VL53L1X) || defined(__DOXYGEN__)
 
@@ -857,9 +857,9 @@ extern aos_unittest_t moduleUtAlldPcal6524;
  */
 extern aos_unittest_t moduleUtAlldAt42qt1050;
 
-#endif /* BOARD_SENSORRING == BOARD_DISTANCESENSOR_VL53L1X */
+#endif /* (BOARD_SENSORRING == BOARD_DISTANCESENSOR_VL53L1X) */
 
-#endif /* AMIROOS_CFG_TESTS_ENABLE == true */
+#endif /* (AMIROOS_CFG_TESTS_ENABLE == true) */
 
 /** @} */
 
diff --git a/modules/STM32F407G-DISC1/aosconf.h b/modules/STM32F407G-DISC1/aosconf.h
index a61adfe..f2ab8d2 100644
--- a/modules/STM32F407G-DISC1/aosconf.h
+++ b/modules/STM32F407G-DISC1/aosconf.h
@@ -42,7 +42,7 @@ along with this program.  If not, see <http://www.gnu.org/licenses/>.
  */
 #if defined(AMIRO_APPS) && (AMIRO_APPS == true)
   #include <osconf.h>
-#endif
+#endif /* defined(AMIRO_APPS) && (AMIRO_APPS == true) */
 
 /*===========================================================================*/
 /**
@@ -56,9 +56,9 @@ along with this program.  If not, see <http://www.gnu.org/licenses/>.
  */
 #if !defined(OS_CFG_DBG)
   #define AMIROOS_CFG_DBG                       true
-#else
+#else /* !defined(OS_CFG_DBG) */
   #define AMIROOS_CFG_DBG                       OS_CFG_DBG
-#endif
+#endif /* !defined(OS_CFG_DBG) */
 
 /**
  * @brief   Flag to enable/disable unit tests.
@@ -66,18 +66,18 @@ along with this program.  If not, see <http://www.gnu.org/licenses/>.
  */
 #if !defined(OS_CFG_TESTS_ENABLE)
   #define AMIROOS_CFG_TESTS_ENABLE              true
-#else
+#else /* !defined(OS_CFG_TESTS_ENABLE) */
   #define AMIROOS_CFG_TESTS_ENABLE              OS_CFG_TESTS_ENABLE
-#endif
+#endif /* !defined(OS_CFG_TESTS_ENABLE) */
 
 /**
  * @brief   Flag to enable/disable profiling API and logic.
  */
 #if !defined(OS_CFG_PROFILE)
   #define AMIROOS_CFG_PROFILE                   true
-#else
+#else /* !defined(OS_CFG_PROFILE) */
   #define AMIROOS_CFG_PROFILE                   OS_CFG_PROFILE
-#endif
+#endif /* !defined(OS_CFG_PROFILE) */
 
 /**
  * @brief   Mask for the control thread to listen to certain IO events.
@@ -85,9 +85,9 @@ along with this program.  If not, see <http://www.gnu.org/licenses/>.
  */
 #if !defined(OS_CFG_MAIN_LOOP_IOEVENT_MASK)
   #define AMIROOS_CFG_MAIN_LOOP_IOEVENT_MASK    MODULE_OS_IOEVENTFLAGS_USERBUTTON
-#else
+#else /* !defined(OS_CFG_MAIN_LOOP_IOEVENT_MASK) */
   #define AMIROOS_CFG_MAIN_LOOP_IOEVENT_MASK    OS_CFG_MAIN_LOOP_IOEVENT_MASK
-#endif
+#endif /* !defined(OS_CFG_MAIN_LOOP_IOEVENT_MASK) */
 
 /**
  * @brief   Timeout value when waiting for events in the main loop in microseconds.
@@ -95,9 +95,9 @@ along with this program.  If not, see <http://www.gnu.org/licenses/>.
  */
 #if !defined(OS_CFG_MAIN_LOOP_TIMEOUT)
   #define AMIROOS_CFG_MAIN_LOOP_TIMEOUT         0
-#else
+#else /* !defined(OS_CFG_MAIN_LOOP_TIMEOUT) */
   #define AMIROOS_CFG_MAIN_LOOP_TIMEOUT         OS_CFG_MAIN_LOOP_TIMEOUT
-#endif
+#endif /* !defined(OS_CFG_MAIN_LOOP_TIMEOUT) */
 
 /** @} */
 
@@ -113,9 +113,9 @@ along with this program.  If not, see <http://www.gnu.org/licenses/>.
  */
 #if !defined(OS_CFG_SSSP_ENABLE)
   #define AMIROOS_CFG_SSSP_ENABLE               false
-#else
+#else /* !defined(OS_CFG_SSSP_ENABLE) */
   #define AMIROOS_CFG_SSSP_ENABLE               OS_CFG_SSSP_ENABLE
-#endif
+#endif /* !defined(OS_CFG_SSSP_ENABLE) */
 
 /**
  * @brief   Flag to set the module as SSSP master.
@@ -123,9 +123,9 @@ along with this program.  If not, see <http://www.gnu.org/licenses/>.
  */
 #if !defined(OS_CFG_SSSP_MASTER)
   #define AMIROOS_CFG_SSSP_MASTER               false
-#else
+#else /* !defined(OS_CFG_SSSP_MASTER) */
   #define AMIROOS_CFG_SSSP_MASTER               OS_CFG_SSSP_MASTER
-#endif
+#endif /* !defined(OS_CFG_SSSP_MASTER) */
 
 /**
  * @brief   Flag to set the module to be the first in the stack.
@@ -133,9 +133,9 @@ along with this program.  If not, see <http://www.gnu.org/licenses/>.
  */
 #if !defined(OS_CFG_SSSP_STACK_START)
   #define AMIROOS_CFG_SSSP_STACK_START          false
-#else
+#else /* !defined(OS_CFG_SSSP_STACK_START) */
   #define AMIROOS_CFG_SSSP_STACK_START          OS_CFG_SSSP_STACK_START
-#endif
+#endif /* !defined(OS_CFG_SSSP_STACK_START) */
 
 /**
  * @brief   Flag to set the module to be the last in the stack.
@@ -143,18 +143,18 @@ along with this program.  If not, see <http://www.gnu.org/licenses/>.
  */
 #if !defined(OS_CFG_SSSP_STACK_END)
   #define AMIROOS_CFG_SSSP_STACK_END            false
-#else
+#else /* !defined(OS_CFG_SSSP_STACK_END) */
   #define AMIROOS_CFG_SSSP_STACK_END            OS_CFG_SSSP_STACK_END
-#endif
+#endif /* !defined(OS_CFG_SSSP_STACK_END) */
 
 /**
  * @brief   Delay time (in microseconds) how long a SSSP signal must be active.
  */
 #if !defined(OS_CFG_SSSP_SIGNALDELAY)
   #define AMIROOS_CFG_SSSP_SIGNALDELAY          1000
-#else
+#else /* !defined(OS_CFG_SSSP_SIGNALDELAY) */
   #define AMIROOS_CFG_SSSP_SIGNALDELAY          OS_CFG_SSSP_SIGNALDELAY
-#endif
+#endif /* !defined(OS_CFG_SSSP_SIGNALDELAY) */
 
 /**
  * @brief   Time boundary for robot wide clock synchronization in microseconds.
@@ -163,9 +163,9 @@ along with this program.  If not, see <http://www.gnu.org/licenses/>.
  */
 #if !defined(OS_CFG_SSSP_SYSSYNCPERIOD)
   #define AMIROOS_CFG_SSSP_SYSSYNCPERIOD        1000000
-#else
+#else /* !defined(OS_CFG_SSSP_SYSSYNCPERIOD) */
   #define AMIROOS_CFG_SSSP_SYSSYNCPERIOD        OS_CFG_SSSP_SYSSYNCPERIOD
-#endif
+#endif /* !defined(OS_CFG_SSSP_SYSSYNCPERIOD) */
 
 /** @} */
 
@@ -181,18 +181,18 @@ along with this program.  If not, see <http://www.gnu.org/licenses/>.
  */
 #if !defined(OS_CFG_SHELL_ENABLE)
   #define AMIROOS_CFG_SHELL_ENABLE              true
-#else
+#else /* !defined(OS_CFG_SHELL_ENABLE) */
   #define AMIROOS_CFG_SHELL_ENABLE              OS_CFG_SHELL_ENABLE
-#endif
+#endif /* !defined(OS_CFG_SHELL_ENABLE) */
 
 /**
  * @brief   Shell thread stack size.
  */
 #if !defined(OS_CFG_SHELL_STACKSIZE)
   #define AMIROOS_CFG_SHELL_STACKSIZE           1024
-#else
+#else /* !defined(OS_CFG_SHELL_STACKSIZE) */
   #define AMIROOS_CFG_SHELL_STACKSIZE           OS_CFG_SHELL_STACKSIZE
-#endif
+#endif /* !defined(OS_CFG_SHELL_STACKSIZE) */
 
 /**
  * @brief   Shell thread priority.
@@ -213,27 +213,27 @@ along with this program.  If not, see <http://www.gnu.org/licenses/>.
  */
 #if !defined(OS_CFG_SHELL_THREADPRIO)
   #define AMIROOS_CFG_SHELL_THREADPRIO          AOS_THD_NORMALPRIO_MIN
-#else
+#else /* !defined(OS_CFG_SHELL_THREADPRIO) */
   #define AMIROOS_CFG_SHELL_THREADPRIO          OS_CFG_SHELL_THREADPRIO
-#endif
+#endif /* !defined(OS_CFG_SHELL_THREADPRIO) */
 
 /**
  * @brief   Shell maximum input line length.
  */
 #if !defined(OS_CFG_SHELL_LINEWIDTH)
   #define AMIROOS_CFG_SHELL_LINEWIDTH           64
-#else
+#else /* !defined(OS_CFG_SHELL_LINEWIDTH) */
   #define AMIROOS_CFG_SHELL_LINEWIDTH           OS_CFG_SHELL_LINEWIDTH
-#endif
+#endif /* !defined(OS_CFG_SHELL_LINEWIDTH) */
 
 /**
  * @brief   Shell maximum number of arguments.
  */
 #if !defined(OS_CFG_SHELL_MAXARGS)
   #define AMIROOS_CFG_SHELL_MAXARGS             4
-#else
+#else /* !defined(OS_CFG_SHELL_MAXARGS) */
   #define AMIROOS_CFG_SHELL_MAXARGS             OS_CFG_SHELL_MAXARGS
-#endif
+#endif /* !defined(OS_CFG_SHELL_MAXARGS) */
 
 /** @} */
 
